Ulsav Docs

Payments

GET
/api/v1/organizations/{organization_id}/ledger

Path Parameters

organization_id*string

Query Parameters

eventGroupIds?array<string>|

Filter by the entry's Order's Event's EventGroup id. Repeat or comma-separate for several.

limit?integer

Page size (1-100)

Formatint64
Range1 <= value <= 100
Default20
cursor?string

Opaque cursor from meta.nextCursor

includeTotal?boolean

Set false to omit meta.total

Defaulttrue

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
data*array<>|null
meta*
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/ledger'
Example Response
{  "$schema": "https://example.com/schemas/PageLedgerEntry.json",  "data": [    {      "amountMinorUnits": 0,      "category": "string",      "createdAt": "2019-08-24T14:15:22Z",      "creditAccount": "string",      "currency": "string",      "debitAccount": "string",      "id": "string",      "orderId": "string",      "organizationId": "string"    }  ],  "meta": {    "hasMore": true,    "limit": 0,    "nextCursor": "string",    "total": 0  }}
GET
/api/v1/organizations/{organization_id}/ledger/balance

Path Parameters

organization_id*string

Query Parameters

currency?string
eventGroupIds?array<string>|

Scope the balance to the named EventGroups. Repeat or comma-separate for several.

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
availableMinor*integer
Formatint64
currency*string
payoutableMinor*integer
Formatint64
reserveMinor*integer
Formatint64
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/ledger/balance'
Example Response
{  "$schema": "https://example.com/schemas/Balance.json",  "availableMinor": 0,  "currency": "string",  "payoutableMinor": 0,  "reserveMinor": 0}
GET
/api/v1/organizations/{organization_id}/payouts

Path Parameters

organization_id*string

Query Parameters

eventGroupIds?array<string>|

Filter by the payout's Order's Event's EventGroup id. Repeat or comma-separate for several.

limit?integer

Page size (1-100)

Formatint64
Range1 <= value <= 100
Default20
cursor?string

Opaque cursor from meta.nextCursor

includeTotal?boolean

Set false to omit meta.total

Defaulttrue

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
data*array<>|null
meta*
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/payouts'
Example Response
{  "$schema": "https://example.com/schemas/PagePayout.json",  "data": [    {      "$schema": "https://example.com/schemas/Payout.json",      "amountMinorUnits": 0,      "bankReference": "string",      "createdAt": "2019-08-24T14:15:22Z",      "currency": "string",      "failureReason": "string",      "id": "string",      "merchantAccountId": "string",      "orderId": "string",      "organizationId": "string",      "providerOrderId": "string",      "providerPaymentId": "string",      "providerTransferId": "string",      "reserveMinorUnits": 0,      "settledAt": "2019-08-24T14:15:22Z",      "status": "string"    }  ],  "meta": {    "hasMore": true,    "limit": 0,    "nextCursor": "string",    "total": 0  }}

Get one payout

GET
/api/v1/organizations/{organization_id}/payouts/{payout_id}

Path Parameters

organization_id*string
payout_id*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
amountMinorUnits*integer
Formatint64
bankReference?string
createdAt*string
Formatdate-time
currency*string
failureReason?string
id*string
merchantAccountId?string
orderId*string
organizationId*string
providerOrderId?string
providerPaymentId?string
providerTransferId?string
reserveMinorUnits*integer
Formatint64
settledAt?string
Formatdate-time
status*string
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/payouts/string'
Example Response
{  "$schema": "https://example.com/schemas/Payout.json",  "amountMinorUnits": 0,  "bankReference": "string",  "createdAt": "2019-08-24T14:15:22Z",  "currency": "string",  "failureReason": "string",  "id": "string",  "merchantAccountId": "string",  "orderId": "string",  "organizationId": "string",  "providerOrderId": "string",  "providerPaymentId": "string",  "providerTransferId": "string",  "reserveMinorUnits": 0,  "settledAt": "2019-08-24T14:15:22Z",  "status": "string"}
GET
/api/v1/organizations/{organization_id}/refunds

Path Parameters

organization_id*string

Query Parameters

status?string

Filter by refund status

eventGroupIds?array<string>|

Filter by the Order's Event's EventGroup id. Repeat or comma-separate for several.

limit?integer

Page size (1-100)

Formatint64
Range1 <= value <= 100
Default20
cursor?string

Opaque cursor from meta.nextCursor

includeTotal?boolean

Set false to omit meta.total

Defaulttrue

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
data*array<>|null
meta*
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/refunds'
Example Response
{  "$schema": "https://example.com/schemas/PageRefund.json",  "data": [    {      "$schema": "https://example.com/schemas/Refund.json",      "amountMinorUnits": 0,      "bankReference": "string",      "createdAt": "2019-08-24T14:15:22Z",      "currency": "string",      "feeReturnedMinor": 0,      "id": "string",      "orderId": "string",      "organizationId": "string",      "providerRefundId": "string",      "reason": "string",      "sourcePaymentId": "string",      "status": "string"    }  ],  "meta": {    "hasMore": true,    "limit": 0,    "nextCursor": "string",    "total": 0  }}
POST
/api/v1/organizations/{organization_id}/refunds

Path Parameters

organization_id*string

Request Body

application/json
  1. body
amountMinorUnits*integer
Formatint64
orderId*string
reason?string
registrationIds?array<string>|null

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
amountMinorUnits*integer
Formatint64
bankReference?string
createdAt*string
Formatdate-time
currency*string
feeReturnedMinor*integer
Formatint64
id*string
orderId*string
organizationId*string
providerRefundId?string
reason?string
sourcePaymentId?string
status*string
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/refunds' \  -H 'Content-Type: application/json' \  -d '{  "amountMinorUnits": 0,  "orderId": "string"}'
Example Response
{  "$schema": "https://example.com/schemas/Refund.json",  "amountMinorUnits": 0,  "bankReference": "string",  "createdAt": "2019-08-24T14:15:22Z",  "currency": "string",  "feeReturnedMinor": 0,  "id": "string",  "orderId": "string",  "organizationId": "string",  "providerRefundId": "string",  "reason": "string",  "sourcePaymentId": "string",  "status": "string"}

Get one refund

GET
/api/v1/organizations/{organization_id}/refunds/{refund_id}

Path Parameters

organization_id*string
refund_id*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
amountMinorUnits*integer
Formatint64
bankReference?string
createdAt*string
Formatdate-time
currency*string
feeReturnedMinor*integer
Formatint64
id*string
orderId*string
organizationId*string
providerRefundId?string
reason?string
sourcePaymentId?string
status*string
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/refunds/string'
Example Response
{  "$schema": "https://example.com/schemas/Refund.json",  "amountMinorUnits": 0,  "bankReference": "string",  "createdAt": "2019-08-24T14:15:22Z",  "currency": "string",  "feeReturnedMinor": 0,  "id": "string",  "orderId": "string",  "organizationId": "string",  "providerRefundId": "string",  "reason": "string",  "sourcePaymentId": "string",  "status": "string"}
GET
/api/v1/organizations/{organization_id}/statements

Path Parameters

organization_id*string

Query Parameters

currency?string
eventGroupIds?array<string>|

Scope the statement to the named EventGroups. Repeat or comma-separate for several.

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
adjustmentsMinor*integer
Formatint64
balanceMinor*integer
Formatint64
collectedMinor*integer
Formatint64
currency*string
paidOutMinor*integer
Formatint64
refundedMinor*integer
Formatint64
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/statements'
Example Response
{  "$schema": "https://example.com/schemas/LedgerStatement.json",  "adjustmentsMinor": 0,  "balanceMinor": 0,  "collectedMinor": 0,  "currency": "string",  "paidOutMinor": 0,  "refundedMinor": 0}
GET
/api/v1/pay/orders/{token}

Path Parameters

token*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
amountMinorUnits*integer
Formatint64
currency*string
dueAt?string
Formatdate-time
eventName?string
orderId*string
passName?string
providerReady*boolean
returnUrl?string
status*string
Example Request
curl -X GET 'https://example.com/api/v1/pay/orders/string'
Example Response
{  "$schema": "https://example.com/schemas/PaymentSummary.json",  "amountMinorUnits": 0,  "currency": "string",  "dueAt": "2019-08-24T14:15:22Z",  "eventName": "string",  "orderId": "string",  "passName": "string",  "providerReady": true,  "returnUrl": "string",  "status": "string"}
GET
/api/v1/pay/orders/{token}/intent

Path Parameters

token*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
amountMinorUnits*integer
Formatint64
currency*string
dueAt*string
Formatdate-time
eventName?string
orderId*string
passName?string
paymentToken?string
providerOrderId*string
publishableKey*string
returnUrl?string
Example Request
curl -X GET 'https://example.com/api/v1/pay/orders/string/intent'
Example Response
{  "$schema": "https://example.com/schemas/PaymentIntent.json",  "amountMinorUnits": 0,  "currency": "string",  "dueAt": "2019-08-24T14:15:22Z",  "eventName": "string",  "orderId": "string",  "passName": "string",  "paymentToken": "string",  "providerOrderId": "string",  "publishableKey": "string",  "returnUrl": "string"}
POST
/api/v1/pay/orders/{token}/reconcile

Path Parameters

token*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
converged*boolean
orderId*string
status*string
Example Request
curl -X POST 'https://example.com/api/v1/pay/orders/string/reconcile'
Example Response
{  "$schema": "https://example.com/schemas/ReconcileResult.json",  "converged": true,  "orderId": "string",  "status": "string"}
GET
/api/v1/pay/orders/{token}/status

Path Parameters

token*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
currency*string
eventId*string
grandTotalMinorUnits*integer
Formatint64
id*string
status*string
Example Request
curl -X GET 'https://example.com/api/v1/pay/orders/string/status'
Example Response
{  "$schema": "https://example.com/schemas/PaidOrder.json",  "currency": "string",  "eventId": "string",  "grandTotalMinorUnits": 0,  "id": "string",  "status": "string"}
POST
/api/v1/payments/webhooks/{provider}

Path Parameters

provider*string

Header Parameters

X-Razorpay-Signature?string
X-Fake-Signature?string

Request Body

body*stringapplication/json

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
received*boolean
Example Request
curl -X POST 'https://example.com/api/v1/payments/webhooks/string' \  -H 'Content-Type: application/json' \  -d 'string'
Example Response
{  "$schema": "https://example.com/schemas/WebhookOutputBody.json",  "received": true}